Index: CKEditor/branches/versions/3.3.x/CHANGES.html
===================================================================
--- CKEditor/branches/versions/3.3.x/CHANGES.html	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/CHANGES.html	(revision 5453)
@@ -48,4 +48,5 @@
 		<li><a href="http://dev.fckeditor.net/ticket/635">#635</a> : Open properties dialog when double clicking on objects.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/3593">#3593</a> : Apply contentEditable="true" instead of designMode="on" to allow creating uneditable content elements in all browsers.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/4649">#4649</a> : Accessible color picker dialog.</li>
 	</ul>
 	<p>
Index: CKEditor/branches/versions/3.3.x/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/_translationstatus.txt	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/_translationstatus.txt	(revision 5453)
@@ -2,59 +2,59 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-af.js      Found: 287 Missing: 236
-ar.js      Found: 451 Missing: 72
-bg.js      Found: 280 Missing: 243
-bn.js      Found: 281 Missing: 242
-bs.js      Found: 187 Missing: 336
-ca.js      Found: 490 Missing: 33
-cs.js      Found: 411 Missing: 112
-cy.js      Found: 452 Missing: 71
-da.js      Found: 404 Missing: 119
-de.js      Found: 444 Missing: 79
-el.js      Found: 286 Missing: 237
-en-au.js   Found: 369 Missing: 154
-en-ca.js   Found: 369 Missing: 154
-en-gb.js   Found: 370 Missing: 153
-eo.js      Found: 259 Missing: 264
-es.js      Found: 467 Missing: 56
-et.js      Found: 301 Missing: 222
-eu.js      Found: 403 Missing: 120
-fa.js      Found: 302 Missing: 221
-fi.js      Found: 489 Missing: 34
-fo.js      Found: 420 Missing: 103
-fr-ca.js   Found: 301 Missing: 222
-fr.js      Found: 403 Missing: 120
-gl.js      Found: 283 Missing: 240
-gu.js      Found: 300 Missing: 223
-he.js      Found: 467 Missing: 56
-hi.js      Found: 302 Missing: 221
-hr.js      Found: 404 Missing: 119
-hu.js      Found: 445 Missing: 78
-is.js      Found: 307 Missing: 216
-it.js      Found: 404 Missing: 119
-ja.js      Found: 413 Missing: 110
-km.js      Found: 275 Missing: 248
-ko.js      Found: 293 Missing: 230
-lt.js      Found: 306 Missing: 217
-lv.js      Found: 283 Missing: 240
-mn.js      Found: 300 Missing: 223
-ms.js      Found: 265 Missing: 258
-nb.js      Found: 470 Missing: 53
-nl.js      Found: 467 Missing: 56
-no.js      Found: 470 Missing: 53
-pl.js      Found: 411 Missing: 112
-pt-br.js   Found: 402 Missing: 121
-pt.js      Found: 282 Missing: 241
-ro.js      Found: 301 Missing: 222
-ru.js      Found: 467 Missing: 56
-sk.js      Found: 302 Missing: 221
-sl.js      Found: 410 Missing: 113
-sr-latn.js Found: 276 Missing: 247
-sr.js      Found: 275 Missing: 248
-sv.js      Found: 299 Missing: 224
-th.js      Found: 287 Missing: 236
-tr.js      Found: 307 Missing: 216
-uk.js      Found: 404 Missing: 119
-vi.js      Found: 481 Missing: 42
-zh-cn.js   Found: 404 Missing: 119
-zh.js      Found: 404 Missing: 119
+af.js      Found: 287 Missing: 237
+ar.js      Found: 451 Missing: 73
+bg.js      Found: 280 Missing: 244
+bn.js      Found: 281 Missing: 243
+bs.js      Found: 187 Missing: 337
+ca.js      Found: 490 Missing: 34
+cs.js      Found: 411 Missing: 113
+cy.js      Found: 452 Missing: 72
+da.js      Found: 404 Missing: 120
+de.js      Found: 444 Missing: 80
+el.js      Found: 286 Missing: 238
+en-au.js   Found: 369 Missing: 155
+en-ca.js   Found: 369 Missing: 155
+en-gb.js   Found: 370 Missing: 154
+eo.js      Found: 259 Missing: 265
+es.js      Found: 467 Missing: 57
+et.js      Found: 301 Missing: 223
+eu.js      Found: 403 Missing: 121
+fa.js      Found: 302 Missing: 222
+fi.js      Found: 489 Missing: 35
+fo.js      Found: 420 Missing: 104
+fr-ca.js   Found: 301 Missing: 223
+fr.js      Found: 403 Missing: 121
+gl.js      Found: 283 Missing: 241
+gu.js      Found: 300 Missing: 224
+he.js      Found: 467 Missing: 57
+hi.js      Found: 302 Missing: 222
+hr.js      Found: 404 Missing: 120
+hu.js      Found: 445 Missing: 79
+is.js      Found: 307 Missing: 217
+it.js      Found: 404 Missing: 120
+ja.js      Found: 413 Missing: 111
+km.js      Found: 275 Missing: 249
+ko.js      Found: 293 Missing: 231
+lt.js      Found: 306 Missing: 218
+lv.js      Found: 283 Missing: 241
+mn.js      Found: 300 Missing: 224
+ms.js      Found: 265 Missing: 259
+nb.js      Found: 470 Missing: 54
+nl.js      Found: 467 Missing: 57
+no.js      Found: 470 Missing: 54
+pl.js      Found: 411 Missing: 113
+pt-br.js   Found: 402 Missing: 122
+pt.js      Found: 282 Missing: 242
+ro.js      Found: 301 Missing: 223
+ru.js      Found: 467 Missing: 57
+sk.js      Found: 302 Missing: 222
+sl.js      Found: 410 Missing: 114
+sr-latn.js Found: 276 Missing: 248
+sr.js      Found: 275 Missing: 249
+sv.js      Found: 299 Missing: 225
+th.js      Found: 287 Missing: 237
+tr.js      Found: 307 Missing: 217
+uk.js      Found: 404 Missing: 120
+vi.js      Found: 481 Missing: 43
+zh-cn.js   Found: 404 Missing: 120
+zh.js      Found: 404 Missing: 120
Index: CKEditor/branches/versions/3.3.x/_source/lang/af.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/af.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/af.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/ar.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/ar.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/ar.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'اختر لون',
+		options	:	'Color Options', // MISSING
 		highlight	: 'إلقاء الضوء',
 		selected	: 'مُختار',
Index: CKEditor/branches/versions/3.3.x/_source/lang/bg.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/bg.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/bg.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/bn.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/bn.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/bn.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/bs.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/bs.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/bs.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/ca.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/ca.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/ca.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Selecciona el color',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Destacat',
 		selected	: 'Seleccionat',
Index: CKEditor/branches/versions/3.3.x/_source/lang/cs.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/cs.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/cs.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Výběr barvy',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Zvýraznit',
 		selected	: 'Vybráno',
Index: CKEditor/branches/versions/3.3.x/_source/lang/cy.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/cy.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/cy.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Dewis lliw',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Uwcholeuo',
 		selected	: 'Dewiswyd',
Index: CKEditor/branches/versions/3.3.x/_source/lang/da.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/da.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/da.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/de.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/de.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/de.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/el.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/el.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/el.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/en-au.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/en-au.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/en-au.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/en-ca.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/en-ca.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/en-ca.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/en-gb.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/en-gb.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/en-gb.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/en.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/en.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/en.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color',
+		options	:	'Color Options',
 		highlight	: 'Highlight',
-		selected	: 'Selected',
+		selected	: 'Selected Color',
 		clear		: 'Clear'
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/eo.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/eo.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/eo.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/es.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/es.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/es.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Elegir color',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Muestra',
 		selected	: 'Elegido',
Index: CKEditor/branches/versions/3.3.x/_source/lang/et.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/et.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/et.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/eu.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/eu.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/eu.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/fa.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/fa.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/fa.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/fi.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/fi.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/fi.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Valitse väri',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Korostus',
 		selected	: 'Valittu',
Index: CKEditor/branches/versions/3.3.x/_source/lang/fo.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/fo.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/fo.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Vel lit',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/fr-ca.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/fr-ca.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/fr-ca.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/fr.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/fr.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/fr.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/gl.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/gl.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/gl.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/gu.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/gu.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/gu.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/he.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/he.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/he.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'בחירת צבע',
+		options	:	'Color Options', // MISSING
 		highlight	: 'סימון',
 		selected	: 'בחירה',
Index: CKEditor/branches/versions/3.3.x/_source/lang/hi.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/hi.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/hi.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/hr.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/hr.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/hr.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/hu.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/hu.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/hu.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Válasszon színt',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Nagyítás',
 		selected	: 'Kiválasztott',
Index: CKEditor/branches/versions/3.3.x/_source/lang/is.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/is.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/is.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/it.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/it.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/it.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/ja.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/ja.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/ja.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: '色選択',
+		options	:	'Color Options', // MISSING
 		highlight	: 'ハイライト',
 		selected	: '選択された色',
Index: CKEditor/branches/versions/3.3.x/_source/lang/km.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/km.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/km.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/ko.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/ko.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/ko.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/lt.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/lt.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/lt.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/lv.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/lv.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/lv.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/mn.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/mn.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/mn.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/ms.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/ms.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/ms.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/nb.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/nb.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/nb.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Velg farge',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Merk',
 		selected	: 'Valgt',
Index: CKEditor/branches/versions/3.3.x/_source/lang/nl.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/nl.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/nl.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Selecteer kleur',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Actief',
 		selected	: 'Geselecteerd',
Index: CKEditor/branches/versions/3.3.x/_source/lang/no.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/no.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/no.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Velg farge',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Merk',
 		selected	: 'Valgt',
Index: CKEditor/branches/versions/3.3.x/_source/lang/pl.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/pl.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/pl.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Wybierz kolor',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Zaznacz',
 		selected	: 'Wybrany',
Index: CKEditor/branches/versions/3.3.x/_source/lang/pt-br.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/pt-br.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/pt-br.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/pt.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/pt.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/pt.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/ro.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/ro.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/ro.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/ru.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/ru.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/ru.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Выберите цвет',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Выделить',
 		selected	: 'Выбранное',
Index: CKEditor/branches/versions/3.3.x/_source/lang/sk.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/sk.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/sk.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/sl.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/sl.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/sl.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Izberi barvo',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Poudarjeno',
 		selected	: 'Izbrano',
Index: CKEditor/branches/versions/3.3.x/_source/lang/sr-latn.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/sr-latn.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/sr-latn.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/sr.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/sr.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/sr.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/sv.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/sv.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/sv.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/th.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/th.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/th.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/tr.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/tr.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/tr.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/uk.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/uk.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/uk.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/vi.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/vi.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/vi.js	(revision 5453)
@@ -737,4 +737,5 @@
 	{
 		title		: 'Chọn màu',
+		options	:	'Color Options', // MISSING
 		highlight	: 'Màu chọn',
 		selected	: 'Màu đã chọn',
Index: CKEditor/branches/versions/3.3.x/_source/lang/zh-cn.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/zh-cn.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/zh-cn.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/lang/zh.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/lang/zh.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/lang/zh.js	(revision 5453)
@@ -737,6 +737,7 @@
 	{
 		title		: 'Select color', // MISSING
+		options	:	'Color Options', // MISSING
 		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected', // MISSING
+		selected	: 'Selected Color', // MISSING
 		clear		: 'Clear' // MISSING
 	},
Index: CKEditor/branches/versions/3.3.x/_source/plugins/colordialog/dialogs/colordialog.js
===================================================================
--- CKEditor/branches/versions/3.3.x/_source/plugins/colordialog/dialogs/colordialog.js	(revision 5447)
+++ CKEditor/branches/versions/3.3.x/_source/plugins/colordialog/dialogs/colordialog.js	(revision 5453)
@@ -23,19 +23,155 @@
 		}
 
-		var table = new $el( 'table' );
-		createColorTable();
-
-		var cellMouseover = function( event )
-		{
-			var color = new $el( event.data.getTarget() ).getAttribute( 'title' );
-			$doc.getById( 'hicolor' ).setStyle( 'background-color', color );
-			$doc.getById( 'hicolortext' ).setHtml( color );
+		function clearSelected()
+		{
+			$doc.getById( 'selhicolor' ).removeStyle( 'background-color' );
+			dialog.getContentElement( 'picker', 'selectedColor' ).setValue( '' );
+		}
+
+		function updateSelected( evt )
+		{
+			if ( ! (evt instanceof CKEDITOR.dom.event ) )
+				evt = new CKEDITOR.dom.event( evt );
+
+			var target = evt.getTarget(),
+					color;
+
+			if ( target.getName() == 'a' && ( color = target.getChild( 0 ).getHtml() ) )
+				dialog.getContentElement( 'picker', 'selectedColor' ).setValue( color );
+		}
+
+		function updateHighlight( event )
+		{
+			if ( ! (event instanceof CKEDITOR.dom.event ) )
+				event = event.data;
+
+			var target = event.getTarget(),
+					color;
+
+			if ( target.getName() == 'a' && ( color = target.getChild( 0 ).getHtml() ) )
+			{
+				$doc.getById( 'hicolor' ).setStyle( 'background-color', color );
+				$doc.getById( 'hicolortext' ).setHtml( color );
+			}
 		};
 
-		var cellClick = function( event )
-		{
-			var color = new $el( event.data.getTarget() ).getAttribute( 'title' );
-			dialog.getContentElement( 'picker', 'selectedColor' ).setValue( color );
-		};
+		function clearHighlight()
+		{
+			$doc.getById( 'hicolor' ).removeStyle( 'background-color' );
+			$doc.getById( 'hicolortext' ).setHtml( '&nbsp;' );
+		}
+
+		var onMouseout = $tools.addFunction( clearHighlight );
+
+		var onClick = updateSelected,
+				onClickHandler = CKEDITOR.tools.addFunction( onClick );
+
+		var onFocus = updateHighlight,
+				onBlur = clearHighlight;
+
+		var onKeydownHandler = CKEDITOR.tools.addFunction( function( ev )
+		{
+			ev = new CKEDITOR.dom.event( ev );
+			var element = ev.getTarget();
+			var relative, nodeToMove;
+			var keystroke = ev.getKeystroke();
+			var rtl = editor.lang.dir == 'rtl';
+
+			switch ( keystroke )
+			{
+				// UP-ARROW
+				case 38 :
+					// relative is TR
+					if ( ( relative = element.getParent().getParent().getPrevious() ) )
+					{
+						nodeToMove = relative.getChild( [element.getParent().getIndex(), 0] );
+						nodeToMove.focus();
+						onBlur( ev, element );
+						onFocus( ev, nodeToMove );
+					}
+					ev.preventDefault();
+					break;
+				// DOWN-ARROW
+				case 40 :
+					// relative is TR
+					if ( ( relative = element.getParent().getParent().getNext() ) )
+					{
+						nodeToMove = relative.getChild( [ element.getParent().getIndex(), 0 ] );
+						if ( nodeToMove && nodeToMove.type == 1 )
+						{
+							nodeToMove.focus();
+							onBlur( ev, element );
+							onFocus( ev, nodeToMove );
+						}
+					}
+					ev.preventDefault();
+					break;
+				// SPACE
+				// ENTER is already handled as onClick
+				case 32 :
+					onClick( ev );
+					ev.preventDefault();
+					break;
+
+				// RIGHT-ARROW
+				case rtl ? 37 : 39 :
+					// relative is TD
+					if ( ( relative = element.getParent().getNext() ) )
+					{
+						nodeToMove = relative.getChild( 0 );
+						if ( nodeToMove.type == 1 )
+						{
+							nodeToMove.focus();
+							onBlur( ev, element );
+							onFocus( ev, nodeToMove );
+							ev.preventDefault( true );
+						}
+						else
+							onBlur( null, element );
+					}
+					// relative is TR
+					else if ( ( relative = element.getParent().getParent().getNext() ) )
+					{
+						nodeToMove = relative.getChild( [ 0, 0 ] );
+						if ( nodeToMove && nodeToMove.type == 1 )
+						{
+							nodeToMove.focus();
+							onBlur( ev, element );
+							onFocus( ev, nodeToMove );
+							ev.preventDefault( true );
+						}
+						else
+							onBlur( null, element );
+					}
+					break;
+
+				// LEFT-ARROW
+				case rtl ? 39 : 37 :
+					// relative is TD
+					if ( ( relative = element.getParent().getPrevious() ) )
+					{
+						nodeToMove = relative.getChild( 0 );
+						nodeToMove.focus();
+						onBlur( ev, element );
+						onFocus( ev, nodeToMove );
+						ev.preventDefault( true );
+					}
+					// relative is TR
+					else if ( ( relative = element.getParent().getParent().getPrevious() ) )
+					{
+						nodeToMove = relative.getLast().getChild( 0 );
+						nodeToMove.focus();
+						onBlur( ev, element );
+						onFocus( ev, nodeToMove );
+						ev.preventDefault( true );
+					}
+					else
+						onBlur( null, element );
+					break;
+				default :
+					// Do not stop not handled events.
+					return;
+			}
+		});
 
 		function createColorTable()
@@ -71,6 +207,13 @@
 				cell.setStyle( 'height', '15px' );
 
-				// Pass unparsed color value in some markup-degradable form.
-				cell.setAttribute( 'title', color );
+				var index = cell.$.cellIndex + 1 + 18 * targetRow.rowIndex;
+				cell.append( CKEDITOR.dom.element.createFromHtml(
+						'<a href="javascript: void(0);" role="option"' +
+						' aria-posinset="' + index + '"' +
+						' aria-setsize="' + 13 * 18 + '"' +
+						' style="cursor: pointer;display:block;width:100%;height:100% " title="'+ CKEDITOR.tools.htmlEncode( color )+ '"' +
+						' onkeydown="CKEDITOR.tools.callFunction( ' + onKeydownHandler + ', event, this )"' +
+						' onclick="CKEDITOR.tools.callFunction(' + onClickHandler + ', event, this ); return false;"' +
+						' tabindex="-1"><span class="cke_voice_label">' + color + '</span></a>', CKEDITOR.document ) );
 			}
 
@@ -96,15 +239,6 @@
 		}
 
-		function clear()
-		{
-			$doc.getById( 'selhicolor' ).removeStyle( 'background-color' );
-			dialog.getContentElement( 'picker', 'selectedColor' ).setValue( '' );
-		}
-
-		var clearActual = $tools.addFunction( function()
-		{
-			$doc.getById( 'hicolor' ).removeStyle( 'background-color' );
-			$doc.getById( 'hicolortext' ).setHtml( '&nbsp;' );
-		} );
+		var table = new $el( 'table' );
+		createColorTable();
 
 		return {
@@ -132,10 +266,15 @@
 								{
 									type : 'html',
-									html : '<table onmouseout="CKEDITOR.tools.callFunction( ' + clearActual + ' );">' + table.getHtml() + '</table>',
+									html : '<table role="listbox" aria-labelledby="color_table_label" onmouseout="CKEDITOR.tools.callFunction( ' + onMouseout + ' );">' + table.getHtml() + '</table>' +
+												'<span id="color_table_label" class="cke_voice_label">' + lang.options +'</span>',
 									onLoad : function()
 									{
 										var table = CKEDITOR.document.getById( this.domId );
-										table.on( 'mouseover', cellMouseover );
-										table.on( 'click', cellClick );
+										table.on( 'mouseover', updateHighlight );
+									},
+									focus: function()
+									{
+										var firstColor = this.getElement().getElementsByTag( 'a' ).getItem( 0 );
+										firstColor.focus();
 									}
 								},
@@ -157,4 +296,6 @@
 										{
 											type : 'text',
+											label : lang.selected,
+											labelStyle: 'display:none',
 											id : 'selectedColor',
 											style : 'width: 74px',
@@ -168,5 +309,5 @@
 												catch ( e )
 												{
-													clear();
+													clearSelected();
 												}
 											}
@@ -178,5 +319,5 @@
 											style : 'margin-top: 5px',
 											label : lang.clear,
-											onClick : clear
+											onClick : clearSelected
 										}
 									]
